#include <iostream>
#include <fstream>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string>

#include "rof-dhm-event-ver400.h"
using namespace std;

//setInfomation֐̐錾
void ROF::setInformation(float* lat, float* lon, int x_col, int y_row, int Ndays, int ROF_Ntime)
{
	latitude = *lat;
	longitude = *lon;
	if(longitude > 180.0) longitude = longitude - 360.0;

	col = x_col+1; // starting from 1.
	row = y_row+1; // starting from 1.

	value = new float**[Ndays];

	for(int i=0; i < Ndays; i++){
		value[i] = new float*[24];
	}

	for(int i=0; i < Ndays; i++){
		for(int j=0; j < 24; j++){
			value[i][j] = new float[ROF_Ntime];
		}	
	}

	for(int i=0; i < Ndays; i++){
		for(int j=0; j < 24; j++){
			for(int k=0; k < ROF_Ntime; k++){
				value[i][j][k] = 0.0;
			}
		}
	}
}

